System.ServiceModel 4.0.0.0 System.Enum

If is configured to perform client authentication at the message level, this enumeration controls the client credential type. Both username and X.509 certificate to use must be provisioned through an instance which implements the extensibility point; in a common default case this is .

The client credential in the certificate case must be specified using the property of the class.

The client credential in the username case must be specified using the property of the class.

In addition, when message security mode is used, the client must be provisioned with the service's certificate. The service credential in this case must be specified using the property on the class.

Enumerates credential types the client can authenticate with when security is enabled in the BasicHttpBinding binding.

- Field
  4.0.0.0
  System.ServiceModel.BasicHttpMessageCredentialType

  Indicates that a client be authenticated using a certificate.

- Field
  4.0.0.0
  System.ServiceModel.BasicHttpMessageCredentialType

  Indicates that the client be authenticated using a username credential.